com.google.gwt.user.cellview.client

## Class AbstractHasData.DefaultKeyboardSelectionHandler<T>

- java.lang.Object
- - com.google.gwt.user.cellview.client.AbstractHasData.DefaultKeyboardSelectionHandler<T>

- Type Parameters:
    `T` - the data type of each row
  All Implemented Interfaces:
    EventHandler, CellPreviewEvent.Handler<T>
  Direct Known Subclasses:
    AbstractCellTable.CellTableKeyboardSelectionHandler
  Enclosing class:
    AbstractHasData<T>

      public static class AbstractHasData.DefaultKeyboardSelectionHandler<T>
      extends java.lang.Object
      implements CellPreviewEvent.Handler<T>

  Default implementation of a keyboard navigation handler.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultKeyboardSelectionHandler(AbstractHasData<T> display)` Construct a new keyboard selection handler for the specified view.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `end()`
    `AbstractHasData<T>` | `getDisplay()`
    `(package private) void` | `handledEvent(CellPreviewEvent<?> event)`
    `(package private) void` | `home()`
    `(package private) void` | `nextPage()`
    `(package private) void` | `nextRow()`
    `void` | `onCellPreview(CellPreviewEvent<T> event)` Called when `CellPreviewEvent` is fired.
    `(package private) void` | `prevPage()`
    `(package private) void` | `prevRow()`
    `(package private) void` | `setKeyboardSelectedRow(int row)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultKeyboardSelectionHandler

          public DefaultKeyboardSelectionHandler(AbstractHasData<T> display)

      Construct a new keyboard selection handler for the specified view.
      Parameters:
        `display` - the display being handled

  - ### Method Detail

    - #### getDisplay

          public AbstractHasData<T> getDisplay()

    - #### onCellPreview

          public void onCellPreview(CellPreviewEvent<T> event)

      Description copied from interface: `CellPreviewEvent.Handler`
      Called when `CellPreviewEvent` is fired.
      Specified by:
        `onCellPreview` in interface `CellPreviewEvent.Handler<T>`
      Parameters:
        `event` - the `CellPreviewEvent` that was fired

    - #### end

          void end()

    - #### handledEvent

          void handledEvent(CellPreviewEvent<?> event)

    - #### home

          void home()

    - #### nextPage

          void nextPage()

    - #### nextRow

          void nextRow()

    - #### prevPage

          void prevPage()

    - #### prevRow

          void prevRow()

    - #### setKeyboardSelectedRow

          void setKeyboardSelectedRow(int row)